pcl::EuclideanClusterComparator< PointT, PointNT, PointLT > Class Template Reference

EuclideanClusterComparator is a comparator used for finding clusters based on euclidian distance. More...

`#include <pcl/segmentation/euclidean_cluster_comparator.h>`

Inheritance diagram for pcl::EuclideanClusterComparator< PointT, PointNT, PointLT >:

## Public Types

using | PointCloudN = pcl::PointCloud< PointNT >
using | PointCloudNPtr = typename PointCloudN::Ptr
using | PointCloudNConstPtr = typename PointCloudN::ConstPtr
using | Ptr = shared_ptr< EuclideanClusterComparator< PointT, PointNT, PointLT > >
using | ConstPtr = shared_ptr< const EuclideanClusterComparator< PointT, PointNT, PointLT > >
Public Types inherited from pcl::experimental::EuclideanClusterComparator< PointT, PointLT >
using | PointCloudL = pcl::PointCloud< PointLT >
using | PointCloudLPtr = typename PointCloudL::Ptr
using | PointCloudLConstPtr = typename PointCloudL::ConstPtr
using | Ptr = shared_ptr< EuclideanClusterComparator< PointT, PointLT > >
using | ConstPtr = shared_ptr< const EuclideanClusterComparator< PointT, PointLT > >
using | ExcludeLabelSet = std::set< std::uint32_t >
using | ExcludeLabelSetPtr = shared_ptr< ExcludeLabelSet >
using | ExcludeLabelSetConstPtr = shared_ptr< const ExcludeLabelSet >
Public Types inherited from pcl::Comparator< PointT >
using | PointCloud = pcl::PointCloud< PointT >
using | PointCloudPtr = typename PointCloud::Ptr
using | PointCloudConstPtr = typename PointCloud::ConstPtr
using | Ptr = shared_ptr< Comparator< PointT > >
using | ConstPtr = shared_ptr< const Comparator< PointT > >

## Public Member Functions

| EuclideanClusterComparator ()
| Default constructor for EuclideanClusterComparator. More...
void | setInputNormals (const PointCloudNConstPtr &normals)
| Provide a pointer to the input normals. More...
PointCloudNConstPtr | getInputNormals () const
| Get the input normals. More...
void | setAngularThreshold (float angular_threshold)
| Set the tolerance in radians for difference in normal direction between neighboring points, to be considered part of the same plane. More...
float | getAngularThreshold () const
| Get the angular threshold in radians for difference in normal direction between neighboring points, to be considered part of the same plane. More...
void | setExcludeLabels (const std::vector< bool > &exclude_labels)
| Set labels in the label cloud to exclude. More...
Public Member Functions inherited from pcl::experimental::EuclideanClusterComparator< PointT, PointLT >
| EuclideanClusterComparator ()
| Default constructor for EuclideanClusterComparator. More...
void | setInputCloud (const PointCloudConstPtr &cloud) override
| Set the input cloud for the comparator. More...
void | setDistanceThreshold (float distance_threshold, bool depth_dependent)
| Set the tolerance in meters for difference in perpendicular distance (d component of plane equation) to the plane between neighboring points, to be considered part of the same plane. More...
float | getDistanceThreshold () const
| Get the distance threshold in meters (d component of plane equation) between neighboring points, to be considered part of the same plane. More...
void | setLabels (const PointCloudLPtr &labels)
| Set label cloud. More...
const ExcludeLabelSetConstPtr & | getExcludeLabels () const
void | setExcludeLabels (const ExcludeLabelSetConstPtr &exclude_labels)
| Set labels in the label cloud to exclude. More...
bool | compare (int idx1, int idx2) const override
| Compare points at two indices by their euclidean distance. More...
Public Member Functions inherited from pcl::Comparator< PointT >
| Comparator ()
| Empty constructor for comparator. More...
virtual | ~Comparator ()
| Empty destructor for comparator. More...
virtual PointCloudConstPtr | getInputCloud () const
| Get the input cloud this comparator operates on. More...

## Protected Attributes

PointCloudNConstPtr | normals_
float | angular_threshold_
Protected Attributes inherited from pcl::experimental::EuclideanClusterComparator< PointT, PointLT >
PointCloudLPtr | labels_
| Set of labels with similar size as the input point cloud, aggregating points into groups based on a similar label identifier. More...
ExcludeLabelSetConstPtr | exclude_labels_
| Specifies which labels should be excluded com being clustered. More...
float | distance_threshold_
bool | depth_dependent_
Eigen::Vector3f | z_axis_
Protected Attributes inherited from pcl::Comparator< PointT >
PointCloudConstPtr | input_

## Detailed Description

### template<typename PointT, typename PointNT, typename PointLT = deprecated::T>
class pcl::EuclideanClusterComparator< PointT, PointNT, PointLT >

EuclideanClusterComparator is a comparator used for finding clusters based on euclidian distance.

Author
  Alex Trevor

Definition at line 195 of file euclidean_cluster_comparator.h.

## Member Typedef Documentation

## ConstPtr

template<typename PointT , typename PointNT , typename PointLT = deprecated::T>

using pcl::EuclideanClusterComparator< PointT, PointNT, PointLT >::ConstPtr = shared_ptr<const EuclideanClusterComparator<PointT, PointNT, PointLT> >

Definition at line 208 of file euclidean_cluster_comparator.h.

## PointCloudN

template<typename PointT , typename PointNT , typename PointLT = deprecated::T>

using pcl::EuclideanClusterComparator< PointT, PointNT, PointLT >::PointCloudN = pcl::PointCloud<PointNT>

Definition at line 203 of file euclidean_cluster_comparator.h.

## PointCloudNConstPtr

template<typename PointT , typename PointNT , typename PointLT = deprecated::T>

using pcl::EuclideanClusterComparator< PointT, PointNT, PointLT >::PointCloudNConstPtr = typename PointCloudN::ConstPtr

Definition at line 205 of file euclidean_cluster_comparator.h.

## PointCloudNPtr

template<typename PointT , typename PointNT , typename PointLT = deprecated::T>

using pcl::EuclideanClusterComparator< PointT, PointNT, PointLT >::PointCloudNPtr = typename PointCloudN::Ptr

Definition at line 204 of file euclidean_cluster_comparator.h.

## Ptr

template<typename PointT , typename PointNT , typename PointLT = deprecated::T>

using pcl::EuclideanClusterComparator< PointT, PointNT, PointLT >::Ptr = shared_ptr<EuclideanClusterComparator<PointT, PointNT, PointLT> >

Definition at line 207 of file euclidean_cluster_comparator.h.

## Constructor & Destructor Documentation

## EuclideanClusterComparator()

template<typename PointT , typename PointNT , typename PointLT = deprecated::T>

pcl::EuclideanClusterComparator< PointT, PointNT, PointLT >::EuclideanClusterComparator | ( |  | ) |

inline

Default constructor for EuclideanClusterComparator.

Definition at line 214 of file euclidean_cluster_comparator.h.

## Member Function Documentation

## getAngularThreshold()

template<typename PointT , typename PointNT , typename PointLT = deprecated::T>

float pcl::EuclideanClusterComparator< PointT, PointNT, PointLT >::getAngularThreshold | ( |  | ) | const

inline

Get the angular threshold in radians for difference in normal direction between neighboring points, to be considered part of the same plane.

Definition at line 244 of file euclidean_cluster_comparator.h.

References pcl::EuclideanClusterComparator< PointT, PointNT, PointLT >::angular_threshold_.

## getInputNormals()

template<typename PointT , typename PointNT , typename PointLT = deprecated::T>

PointCloudNConstPtr pcl::EuclideanClusterComparator< PointT, PointNT, PointLT >::getInputNormals | ( |  | ) | const

inline

Get the input normals.

Definition at line 229 of file euclidean_cluster_comparator.h.

References pcl::EuclideanClusterComparator< PointT, PointNT, PointLT >::normals_.

## setAngularThreshold()

template<typename PointT , typename PointNT , typename PointLT = deprecated::T>

void pcl::EuclideanClusterComparator< PointT, PointNT, PointLT >::setAngularThreshold | ( | float | angular_threshold | ) |

inline

Set the tolerance in radians for difference in normal direction between neighboring points, to be considered part of the same plane.

Parameters

  [in] | angular_threshold | the tolerance in radians

Definition at line 236 of file euclidean_cluster_comparator.h.

References pcl::EuclideanClusterComparator< PointT, PointNT, PointLT >::angular_threshold_.

## setExcludeLabels()

template<typename PointT , typename PointNT , typename PointLT = deprecated::T>

void pcl::EuclideanClusterComparator< PointT, PointNT, PointLT >::setExcludeLabels | ( | const std::vector< bool > & | exclude_labels | ) |

inline

Set labels in the label cloud to exclude.

Parameters

  [in] | exclude_labels | a vector of bools corresponding to whether or not a given label should be considered

Definition at line 251 of file euclidean_cluster_comparator.h.

References pcl::experimental::EuclideanClusterComparator< PointT, PointLT >::exclude_labels_.

## setInputNormals()

template<typename PointT , typename PointNT , typename PointLT = deprecated::T>

void pcl::EuclideanClusterComparator< PointT, PointNT, PointLT >::setInputNormals | ( | const PointCloudNConstPtr & | normals | ) |

inline

Provide a pointer to the input normals.

Parameters

  [in] | normals | the input normal cloud

Definition at line 224 of file euclidean_cluster_comparator.h.

References pcl::EuclideanClusterComparator< PointT, PointNT, PointLT >::normals_.

## Member Data Documentation

## angular_threshold_

template<typename PointT , typename PointNT , typename PointLT = deprecated::T>

float pcl::EuclideanClusterComparator< PointT, PointNT, PointLT >::angular_threshold_

protected

Definition at line 263 of file euclidean_cluster_comparator.h.

Referenced by pcl::EuclideanClusterComparator< PointT, PointNT, PointLT >::getAngularThreshold(), and pcl::EuclideanClusterComparator< PointT, PointNT, PointLT >::setAngularThreshold().

## normals_

template<typename PointT , typename PointNT , typename PointLT = deprecated::T>

PointCloudNConstPtr pcl::EuclideanClusterComparator< PointT, PointNT, PointLT >::normals_

protected

Definition at line 261 of file euclidean_cluster_comparator.h.

Referenced by pcl::EuclideanClusterComparator< PointT, PointNT, PointLT >::getInputNormals(), and pcl::EuclideanClusterComparator< PointT, PointNT, PointLT >::setInputNormals().

The documentation for this class was generated from the following file:

- pcl/segmentation/euclidean_cluster_comparator.h